﻿using System;
using System.Linq;
using System.Windows.Forms;

namespace EF_MestreDetalhes
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnProcessar_Click(object sender, EventArgs e)
        {
            criarMestreDetalhes();
        }

        public void criarMestreDetalhes()
        {
            using (var context = new PedidoDBContexto())
            {
                for (int i = 1; i < 6; i++)
                {
                    //cria um pedido
                    var _pedido = new Pedido
                    {
                        Cliente = "Cliente " + i,
                        DataPedido = DateTime.Now,
                        Total = 10 * i,
                        Status = "NOVO",
                    };
                    context.Pedidos.Add(_pedido);

                    //cria um detalhe do pedido
                    for (int j = 1; j < 4; j++)
                    {
                        var _pedidoDetalhe = new PedidoDetalhe
                        {
                            Valor = 10 * j + i,
                            Produto = "Produto" + j,
                            PrecoUnitario = 10 + j,
                            Pedido = _pedido
                        };
                        context.PedidoDetalhes.Add(_pedidoDetalhe);
                    }
                }
                context.SaveChanges();
                //exibe os pedidos e seus detalhes
                dgvPedido.DataSource = context.Pedidos.ToList();
                dgvDetalhes.DataSource = context.PedidoDetalhes.ToList();
            }
        }
    }
}
