﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace EF_MestreDetalhes
{
    [Table("Pedido")]
    public class Pedido
    {
        public int Id { get; set; }
        
        [MaxLength(100)]
        public string Cliente { get; set; }

        public DateTime DataPedido { get; set; }
        public decimal Total { get; set; }

        [MaxLength(5)]
        [Column(TypeName = "varchar")]
        public string Status { get; set; }

        public IEnumerable<PedidoDetalhe> PedidoDetalhes { get; set; }
    }
}
